/*
 * This file is a part of CMSLU -- Content Management System like Unix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfiledone
#define headerfiledone



// what have been done
class Done
{
public:

	enum Code
	{
		none,
		added_item,
		edited_item,
		deleted_item,
		loggedout
	};
	
	
	Done();
	Done(Code c);
	Done & operator=(Code c);
	bool operator==(Code c) const;
	bool operator!=(Code c) const;


private:

	Code code;
	
};



#endif
